## ros-noetic-hokuyo3d 0.2.1

=== debian/changelog ===
ros-noetic-hokuyo3d (0.2.1-1focal) focal; urgency=high

  * Fix bot comment on prerelease test (#52 <https://github.com/at-wat/hokuyo3d/issues/52>)
  * Update CI scripts (#49 <https://github.com/at-wat/hokuyo3d/issues/49>)
  * Support Boost 1.69 (#48 <https://github.com/at-wat/hokuyo3d/issues/48>)
  * Update pointer align style (#47 <https://github.com/at-wat/hokuyo3d/issues/47>)
  * Update assets to v0.0.8 (#46 <https://github.com/at-wat/hokuyo3d/issues/46>)
  * Update assets to v0.0.7 (#45 <https://github.com/at-wat/hokuyo3d/issues/45>)
  * Update assets to v0.0.6 (#44 <https://github.com/at-wat/hokuyo3d/issues/44>)
  * Ignore gh-pr-comment failure (#42 <https://github.com/at-wat/hokuyo3d/issues/42>)
  * Fix CI bot (#41 <https://github.com/at-wat/hokuyo3d/issues/41>)
  * Fix travis build branch (#40 <https://github.com/at-wat/hokuyo3d/issues/40>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-hokuyo3d (0.2.0-1focal) focal; urgency=high

  * Fix timestamp estimation (#35 <https://github.com/at-wat/hokuyo3d/issues/35>)
    * Fix timestamp estimation
    * Decrease timstamp base lpf
    * Drop timestamp jump back
    * Add median filter to the timestamp estimation
    * Add debug output of estimated timestamp epoch
    * Add parameter to allow timstamp jump back (default: false)
  * Install launch files (#32 <https://github.com/at-wat/hokuyo3d/issues/32>)
  * Fix horizontal table precision bug (#30 <https://github.com/at-wat/hokuyo3d/issues/30>)
  * Fix connection start timing (#29 <https://github.com/at-wat/hokuyo3d/issues/29>)
    * Suppress Transmission timeout error from the sensor
  * Support auto reset setting (#27 <https://github.com/at-wat/hokuyo3d/issues/27>)
    * Support auto reset setting
    * Don't send auto reset command if the parameter is not given
  * Support vertical interlace added on VSSP2.1 (#25 <https://github.com/at-wat/hokuyo3d/issues/25>)
  * Fix local variable naming style (#26 <https://github.com/at-wat/hokuyo3d/issues/26>)
  * Use timer instead of polling (#23 <https://github.com/at-wat/hokuyo3d/issues/23>)
  * Remove needless semicolons (#22 <https://github.com/at-wat/hokuyo3d/issues/22>)
  * Fix CI bot setting (#24 <https://github.com/at-wat/hokuyo3d/issues/24>)
  * Fix aux data factors. (#18 <https://github.com/at-wat/hokuyo3d/issues/18>)
  * Add a sample launch file to publish frames. (#17 <https://github.com/at-wat/hokuyo3d/issues/17>)
  * Fix socket read buffer size. (#14 <https://github.com/at-wat/hokuyo3d/issues/14>)
  * Add const attribute to constant things. (#16 <https://github.com/at-wat/hokuyo3d/issues/16>)
  * Fix naming style of local variables. (#15 <https://github.com/at-wat/hokuyo3d/issues/15>)
  * Fix coding styles. (#12 <https://github.com/at-wat/hokuyo3d/issues/12>)
    - fix coding rules
    - fix naming styles
    - add roslint test
  * Fix mag frame_id. (#13 <https://github.com/at-wat/hokuyo3d/issues/13>)
  * Change IMU coordinate frame. (#10 <https://github.com/at-wat/hokuyo3d/issues/10>)
  * Add build test on Travis. (#11 <https://github.com/at-wat/hokuyo3d/issues/11>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 24 Mar 2018 00:00:00 -0000

ros-noetic-hokuyo3d (0.1.1-1focal) focal; urgency=high

  * updates e-mail address of the author
  * adds error-message packet handling
  * Merge branch 'lgerardSRI-master'
  * Install the hokuyo3d executable
  * Contributors: Atsushi Watanabe, Leonard Gerard

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Sep 2016 00:00:00 -0000

ros-noetic-hokuyo3d (0.1.0-1focal) focal; urgency=high

  * direct PointCloud2 message encoding
  * adds list of contributors
  * adds feature to publish PointCloud2 message
    "~/hokuyo_cloud" and "~/hokuyo_cloud2" are published on demand.
    Added pursuant to yukkysaito's request.
  * adds parameter to set data output cycle
    ~output_cycle (string, default: field)
    Sets output timing to end of frame, field or line.
    Added pursuant to yukkysaito's request.
  * Add invalid range parameter
    This commit is modified for merging by at-wat.
    Parameter name invalid_range was changed to range_min.
  * fixes a bug in which output data doesn't have all points
    Fixed pursuant to yukkysaito's report.
  * code refactoring
  * skips invalid data without 'VSSP' mark
  * stops data stream correctly before exit
  * scales aux data
  * estimates real measurement time from timestamp
  * receives aux data and publishes Imu and MagneticField message
  * add README.md
  * Initial commit
  * Contributors: Atsushi Watanabe, yukihiro saito

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 24 Apr 2015 00:00:00 -0000
