=== debian/control ===
Source: ros-noetic-hokuyo3d
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-hokuyo3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: ROS driver node for HOKUYO 3D LIDARs
